GNU bug report logs - #29215
26.0; `dired-isearch-filter-filesnames`: be able to match prefix

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Drew Adams <drew.adams@HIDDEN>; Keywords: patch; merged with #14013; Done: Juri Linkov <juri@HIDDEN>; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug marked as fixed in version 29.0.50, send any further explanations to 14013 <at> debbugs.gnu.org and michael_heerdegen@HIDDEN Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) patch. Request was from Lars Ingebrigtsen <larsi@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Forcibly Merged 14013 29215. Request was from Juri Linkov <juri@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 29215 <at> debbugs.gnu.org:


Received: (at 29215) by debbugs.gnu.org; 10 Nov 2017 10:14:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 10 05:14:35 2017
Received: from localhost ([127.0.0.1]:33199 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eD6KZ-00037Y-38
	for submit <at> debbugs.gnu.org; Fri, 10 Nov 2017 05:14:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53304)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1eD6KW-00037J-T2
 for 29215 <at> debbugs.gnu.org; Fri, 10 Nov 2017 05:14:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <eliz@HIDDEN>) id 1eD6KO-0005n7-Mr
 for 29215 <at> debbugs.gnu.org; Fri, 10 Nov 2017 05:14:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00,RP_MATCHES_RCVD
 autolearn=disabled version=3.3.2
Received: from fencepost.gnu.org ([2001:4830:134:3::e]:53196)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1eD6KO-0005n0-JN; Fri, 10 Nov 2017 05:14:24 -0500
Received: from [176.228.60.248] (port=3633 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1eD6KN-00030x-VX; Fri, 10 Nov 2017 05:14:24 -0500
Date: Fri, 10 Nov 2017 12:14:22 +0200
Message-Id: <83o9oaphj5.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
In-reply-to: <dee6ab3d-1723-48f7-a244-d871dc11c6b3@default> (message from Drew
 Adams on Wed, 8 Nov 2017 08:13:17 -0800 (PST))
Subject: Re: bug#29215: 26.0;
 `dired-isearch-filter-filesnames`: be able to match prefix
References: <dee6ab3d-1723-48f7-a244-d871dc11c6b3@default>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 2001:4830:134:3::e
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 29215
Cc: 29215 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: Eli Zaretskii <eliz@HIDDEN>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

> Date: Wed, 8 Nov 2017 08:13:17 -0800 (PST)
> From: Drew Adams <drew.adams@HIDDEN>
> 
> 1. Typo in first line of doc string:
> 
>    Test whether the current search hit is a file name.
> 
>    It does not test whether the search hit is a file name.
>    It tests whether the search hit is IN a file name.
> 
> 2. Please provide a fix or enhancement that lets users match a search
>    pattern at the beginning of a file name.  With
>    `dired-isearch-filenames-regexp', for example, using "`\f" or "^f"
>    does not match a file name that begins with "f".  It's not obvious
>    how to match the beginning of a file name.

Thanks, I fixed the first item on the release branch.

(Lumping more than one issue in the same report is baaad, mmkay?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29215; Package emacs. Full text available.

Message received at 29215 <at> debbugs.gnu.org:


Received: (at 29215) by debbugs.gnu.org; 8 Nov 2017 16:19:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 08 11:19:08 2017
Received: from localhost ([127.0.0.1]:58763 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eCT4F-0004zm-Q6
	for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:19:07 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:45302)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eCT4E-0004zF-5X
 for 29215 <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:19:06 -0500
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 vA8GIx8K032502
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <29215 <at> debbugs.gnu.org>; Wed, 8 Nov 2017 16:19:00 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id vA8GIxZo009111
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <29215 <at> debbugs.gnu.org>; Wed, 8 Nov 2017 16:18:59 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id vA8GIxQ2021079
 for <29215 <at> debbugs.gnu.org>; Wed, 8 Nov 2017 16:18:59 GMT
MIME-Version: 1.0
Message-ID: <c6ccab65-0f97-4781-94d1-c43e7f2f6148@default>
Date: Wed, 8 Nov 2017 08:18:58 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: 29215 <at> debbugs.gnu.org
Subject: RE: bug#29215: 26.0; `dired-isearch-filter-filesnames`: be able to
 match prefix
References: <dee6ab3d-1723-48f7-a244-d871dc11c6b3@default>
In-Reply-To: <dee6ab3d-1723-48f7-a244-d871dc11c6b3@default>
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4600.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-Spam-Score: -5.1 (-----)
X-Debbugs-Envelope-To: 29215
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.1 (-----)

> 1. Typo in first line of doc string:
>=20
>    Test whether the current search hit is a file name.
>=20
>    It does not test whether the search hit is a file name.
>    It tests whether the search hit is IN a file name.

Actually, even that is incorrect.  The actual behavior is
to test whether ANY PART OF the search hit is in a file
name.  That is, if the search string matches any part of
a file name then this returns non-nil.

For example, if you search for "3  h" and there is a file
name that begins with "h" and its last-modified date, as
displayed in Dired, ends with "3", then this predicate
returns non-nil and the search commands that use the
predicate successfully find that file name.

This is not obvious.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#29215; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Nov 2017 16:13:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 08 11:13:35 2017
Received: from localhost ([127.0.0.1]:58758 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1eCSyt-0004qP-3F
	for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:13:35 -0500
Received: from eggs.gnu.org ([208.118.235.92]:53331)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1eCSyr-0004q8-6t
 for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:13:33 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1eCSyk-00055Q-Eu
 for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:13:27 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:37529)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1eCSyk-00055K-BW
 for submit <at> debbugs.gnu.org; Wed, 08 Nov 2017 11:13:26 -0500
Received: from eggs.gnu.org ([2001:4830:134:3::10]:44300)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1eCSyj-00050f-Ep
 for bug-gnu-emacs@HIDDEN; Wed, 08 Nov 2017 11:13:26 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <drew.adams@HIDDEN>) id 1eCSyg-00054H-9m
 for bug-gnu-emacs@HIDDEN; Wed, 08 Nov 2017 11:13:25 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:22520)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <drew.adams@HIDDEN>)
 id 1eCSyg-00053s-0g
 for bug-gnu-emacs@HIDDEN; Wed, 08 Nov 2017 11:13:22 -0500
Received: from aserv0022.oracle.com (aserv0022.oracle.com [141.146.126.234])
 by userp1040.oracle.com (Sentrion-MTA-4.3.2/Sentrion-MTA-4.3.2) with ESMTP id
 vA8GDJ3c024999
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 8 Nov 2017 16:13:19 GMT
Received: from aserv0121.oracle.com (aserv0121.oracle.com [141.146.126.235])
 by aserv0022.oracle.com (8.14.4/8.14.4) with ESMTP id vA8GDInH018876
 (version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK)
 for <bug-gnu-emacs@HIDDEN>; Wed, 8 Nov 2017 16:13:19 GMT
Received: from abhmp0014.oracle.com (abhmp0014.oracle.com [141.146.116.20])
 by aserv0121.oracle.com (8.14.4/8.13.8) with ESMTP id vA8GDIIA016935
 for <bug-gnu-emacs@HIDDEN>; Wed, 8 Nov 2017 16:13:18 GMT
MIME-Version: 1.0
Message-ID: <dee6ab3d-1723-48f7-a244-d871dc11c6b3@default>
Date: Wed, 8 Nov 2017 08:13:17 -0800 (PST)
From: Drew Adams <drew.adams@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 26.0; `dired-isearch-filter-filesnames`: be able to match prefix
X-Priority: 3
X-Mailer: Oracle Beehive Extensions for Outlook 2.0.1.9.1  (1003210) [OL
 16.0.4600.0 (x86)]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: quoted-printable
X-Source-IP: aserv0022.oracle.com [141.146.126.234]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.4.x-2.6.x [generic]
 [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -5.0 (-----)

1. Typo in first line of doc string:

   Test whether the current search hit is a file name.

   It does not test whether the search hit is a file name.
   It tests whether the search hit is IN a file name.

2. Please provide a fix or enhancement that lets users match a search
   pattern at the beginning of a file name.  With
   `dired-isearch-filenames-regexp', for example, using "`\f" or "^f"
   does not match a file name that begins with "f".  It's not obvious
   how to match the beginning of a file name.



In GNU Emacs 26.0.90 (build 3, x86_64-w64-mingw32)
 of 2017-10-13
Repository revision: 906224eba147bdfc0514090064e8e8f53160f1d4
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --without-dbus --host=3Dx86_64-w64-mingw32
 --without-compress-install 'CFLAGS=3D-O2 -static -g3''




Acknowledgement sent to Drew Adams <drew.adams@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#29215; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 12 Jun 2022 17:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.